Bug 1021930 - From webUI, Config file compare doesn't check for user, group and permissions.
From webUI, Config file compare doesn't check for user, group and permissions.
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
: Reopened
Depends On:
Blocks: space23
  Show dependency treegraph
Reported: 2013-10-22 06:59 EDT by Neha
Modified: 2016-08-14 22:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhncfg-5.10.73-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-18 11:08:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed patch (3.69 KB, patch)
2013-10-22 07:05 EDT, Neha
no flags Details | Diff

  None (edit)
Description Neha 2013-10-22 06:59:40 EDT
Description of problem:
From  WebUI, config file comparison doesnt check for user, mode and permissions.

It displays compare results for only selinux and file content. 

Other way when checking from client side
rhncfg-client verify

It display results for user, group, permissions, selinux and file content.
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. change in file's user, group and permissions
2. Schedule compare from GUI 
3. Check for results from event -> history 

Actual results:
It should display differences in user, group and permissions

Expected results:
It will display "No Differences"

Additional info:
Comment 1 Neha 2013-10-22 07:00:22 EDT
Current code for diff functionality 

            result = ''.join(diff(temp_file, path))

        return sectx_result + result

It displays results -> content diff + selinux diff

And from cmd line:

rhncfg-client verify 

                    mode,modified /root/nerawat/test1
 user,group,mode,selinux,modified /root/nerawat/test2
                          selinux /root/nerawat/test4
Comment 2 Neha 2013-10-22 07:05:37 EDT
Created attachment 814936 [details]
proposed patch
Comment 3 Neha 2013-10-22 07:14:54 EDT
According to current functionality only selinux check and check for links

SELinux contexts differ:  actual: [root:object_r:user_home_dir_t], expected: [user_u:role_r]

Added for group, user and mod:

User name differ: actual: [nerawat], expected: [root]
Group name differ: actual: [nerawat], expected: [root]
File mode differ: actual: [777], expected: [775]

~ Neha
Comment 4 Stephen Herr 2014-07-18 08:27:03 EDT

*** This bug has been marked as a duplicate of bug 1120802 ***
Comment 5 Stephen Herr 2014-07-18 09:28:28 EDT
I'm going to use this bug as the tracker for releaseing the changes that are in bug 1120802 and bug 1113848 to Spacewalk 2.2.

These packages should fix:
1) always showing "differences exist" in the webui even though the diff is blank
2) improper diffing of selinux contexts
3) improper diffing of ownership / permissions

Cherry-picking to Spacewalk 2.2:

Note You need to log in before you can comment on or make changes to this bug.